# Update a live entity

## /v1/live-entities/:id

<mark style="color:orange;">`PUT`</mark> `https://api.uiza.io/api-live/owner/v1/live-entities/:id`

#### Path Parameters

| Name | Type   | Description                                      |
| ---- | ------ | ------------------------------------------------ |
| id   | string | The identifier of the live entity to be updated. |

#### Request Body

| Name        | Type    | Description                                                                                                                                                                                                              |
| ----------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| dvr         | boolean | Indicates whether Digital Video Record (DVR) is enabled for the live\_entity. Set as `true` to enable and as `false` to disable.                                                                                         |
| name        | string  | The new name of live entity to be updated. This parameter cannot be empty in your body request.                                                                                                                          |
| description | string  | The new description of the live entity to be updated. This version does not support update description as an empty string, in case your old description is incorrect, replace it with the new one that makes more sense. |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "id": "22013d8a-d5fa-48f0-9a63-1f471ca9e81d",
    "name": "Test Event Updated",
    "description": "Event for Test",
    "ingest": {
      "url": "rtmp://f45dd07a0e-in.uizadev.io/transcode",
      "key": "live_TB62vHgxSY"
    },
    "playback": {
      "hls": "https://f45dd07a0e.uizadev.io/fmp4/22013d8a-d5fa-48f0-9a63-1f471ca9e81d/master.m3u8",
      "dash": "https://f45dd07a0e.uizadev.io/fmp4/22013d8a-d5fa-48f0-9a63-1f471ca9e81d/manifest.mpd"
    },
    "relay": [
      {
        "id": "8cf47749-1fa4-40e9-8303-580b34f14683",
        "name": "Replay name3333",
        "url": "rtmp://a.rtmp.youtube.com/live2",
        "key": "0df3-76bz-6t4r-1by5xxxxxx",
        "status": "enable",
        "created_at": "2020-06-24T16:25:58Z",
        "updated_at": "2020-06-24T16:25:58Z"
      }
    ],
    "preset": null,
    "region": "in-bangalore-1",
    "status": "ready",
    "dvr": false,
    "encode": false,
    "created_at": "2019-12-11T02:47:04Z",
    "updated_at": "2019-12-16T02:53:30Z"
  }
}
```

{% endtab %}

{% tab title="401 " %}

```
{
  "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
  "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="404 " %}

```
{
  "message": "The live entity you requested does not exist.",
  "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
  "message": "An unexpected error occurred on Uiza's end.",
  "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl -X PUT https://api.uiza.io/api-live/owner/v1/live-entities/22013d8a-d5fa-48f0-9a63-1f471ca9e81d 
    -H 'Accept: */*' 
    -H 'Authorization: <token>' 
    -H 'uiza-app-id: <your_app_id>' 
    -H 'Cache-Control: no-cache' 
    -H 'Connection: keep-alive' 
    -d '{"name": "Test Event Updated", "description": "Event for Test"}'
```

{% endcode %}
